<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/admin_top.php');
$employer = new User(@$_GET['id']);


if($employer->UserID <=0)
{
	$employer->UserCountry="US";	
}
$employer->UserType = USER_TYPE_EMPLOYER;

if($_SERVER["REQUEST_METHOD"]=="POST") 
{
	$data = ud_sanitize($_POST);

	if ($employer->UserID != -1 && @$data['Password'] == '')
	{
		unset($data['Password']);
	}
	else
	{
		$data['Password'] = md5($data['Password']);
	}
	$employer->populateFromArray($data);
	
	
	$permissions = 0;
	if (is_array($_POST['UserPermissions']))
	{
		foreach ($_POST['UserPermissions'] as $permission)
		{
			$permissions |= $permission;
		}
	}
	$employer->UserPermissions = $permissions;
}

if (isset($_POST['submited']) && $_POST['submited'] == 'save')
{

	$employer->saveToDB();
	if ($employer->UserID == $user->UserID)
	{
        	$_SESSION['user'] = $employer;
	}
	cmn_redirect('employers.php');
}

if (isset($_POST['submited']) && $_POST['submited'] == 'change_country')
{
	$employer->UserCountry = $_POST['UserCountry'];
}


$template->setVariable($employer->getDataArray());
$template->setVariable('PermissionCustomers',		$employer->checkPermission(USER_PERMISSION_CUSTOMERS));
$template->setVariable('PermissionContent',		$employer->checkPermission(USER_PERMISSION_CONTENT));
$template->setVariable('PermissionStatistics',		$employer->checkPermission(USER_PERMISSION_STATISTICS));
$template->setVariable('PermissionMessaging',		$employer->checkPermission(USER_PERMISSION_MESSAGING));
$template->setVariable('PermissionTransactions',	$employer->checkPermission(USER_PERMISSION_TRANSACTIONS));
$template->setVariable('PermissionReports',		$employer->checkPermission(USER_PERMISSION_REPORTS));

$template->setVariable('PermissionCustomers_const',	USER_PERMISSION_CUSTOMERS);
$template->setVariable('PermissionContent_const',	USER_PERMISSION_CONTENT);
$template->setVariable('PermissionStatistics_const',	USER_PERMISSION_STATISTICS);
$template->setVariable('PermissionMessaging_const',	USER_PERMISSION_MESSAGING);
$template->setVariable('PermissionTransactions_const',	USER_PERMISSION_TRANSACTIONS);
$template->setVariable('PermissionReports_const',	USER_PERMISSION_REPORTS);

$countries = Country::getAll();
$countrySelected = null;
foreach ($countries as $country)
{
    $template->setVariable('ID',    $country->CountryCode);
    $template->setVariable('Value',    $country->CountryName);

    if ($country->CountryCode == $employer->UserCountry)
    {
        $template->setVariable('selected', 'selected');
        $countrySelected = $country;
    }

    $template->parse('user_country');
}

if (!is_null($countrySelected))
{
    $states = $countrySelected->getStates();

    foreach ($states as $state)
    {
        $template->setVariable('ID',   $state->StateCode);
        $template->setVariable('Value', $state->StateName);

        if ($state->StateCode == $employer->UserState)
        {
            $template->setVariable('selected', 'selected');
        }

        $template->parse('user_state');
    }
}

require_once('includes/admin_bottom.php');
?>