<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');
$template->loadTemplateFile('contact_preferences.html');
if (isset($_GET['id']))
{
    $member_id = $_GET['id'];
} else
{
    $member_id = $_POST['id'];
}

if (Session::isCurrentSessionLoggedIn() && is_numeric($member_id))
{
	if ($user->UserID != $member_id)
	{
		cmn_unauthorized_action();
	}

    if ($_POST['edit'] == 1)
    {
        $connection = $user->getConnections(array('ConnectionType' => CONNECTIONTYPE_PREFERENCES, 'ToUserID' => $member_id));
        if (isset($connection[0]))
        {
            $connection = $connection[0];
        } else
        {
            $connection = new Connection();
        }
        $connection->Flags = 0;
        
        if (isset($_POST['email']))
        {
            $connection->Flags |= USER_PREFERENCES_EMAIL;
        }
        if (isset($_POST['messages']))
        {
            $connection->Flags |= USER_PREFERENCES_MESSAGES;
        }
        if ($connection->UserID == -1)
        {
            $connection->UserID = $user->UserID;
            $connection->ToUserID = $member_id;
            $connection->ConnectionType = CONNECTIONTYPE_PREFERENCES;
        }
        $connection->SaveToDB();
        $template->touchBlock('close_window');
    } else
    {
        $template->setVariable('member_id',$member_id);
        $connection = $user->getConnections(array('ConnectionType' => CONNECTIONTYPE_PREFERENCES, 'ToUserID' => $member_id));
        if (isset($connection[0]))
        {
            $connection = $connection[0];
            if (($connection->Flags & USER_PREFERENCES_EMAIL) == USER_PREFERENCES_EMAIL)
            {
                $template->touchBlock('email');
            }
            if (($connection->Flags & USER_PREFERENCES_MESSAGES) == USER_PREFERENCES_MESSAGES)
            {
                $template->touchBlock('messages');
            }
        }
    }
}
else
{
	$template->touchBlock('close_window');
}

include('includes/application_bottom.php');
?>