<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'my_connections';
include('includes/application_top.php');
if ($user->isAuthorised())
{
    if (UserBlock::checkUserBlockResources(USER_BLOCKED_RESOURCES, USERBLOCK_RESOURCE_INVITATIONS))
    {
        cmn_unathorized_action();
    }
    
	if (isset($_GET['school']))
	{	
		if ($_POST['submited'] == 'import')
		{
			if (is_array($_POST['UserID']))
			{
				for ($i = 0; $i < count($_POST['UserID']); $i++)
				{    
	                $invited = new User($_POST['UserID'][$i]);
					if ($invited->UserType != USER_TYPE_INVITED)
					{
						if (!$user->hasBuddy($_POST['UserID'][$i]))
						{
							$user->sendBuddyRequest($_POST['UserID'][$i], @$_POST['Message']);
						}
					}
				}
			}
			
			cmn_redirect('contacts_school.php');
		}
		else
		{
			$members = User::getUsersBySchoolName($_GET['school']);
			foreach ($members as $member)
			{
				if ($member->UserID != $user->UserID)
				{
					$template->setVariable('Email', $member->UserEmail);
					$template->setVariable('Name', $member->UserFirstname . ' ' . $member->UserLastname);
					$template->setVariable('UserID', $member->UserID);
					$template->parse('imported');
				}
			}
			$template->setGlobalVariable('CurrentUserName', $user->UserFirstname . ' ' . $user->UserLastname);
			$template->setGlobalVariable('CurrentSchoolName', ud_sanitize($_GET['school']));
			
			$template->touchBlock('contacts');
		}
	}
	else
	{
		$schools = $user->getSchools();
		foreach ($schools as $school)
		{
			$template->setVariable('SchoolName', $school->SchoolName);
			$template->parse('school');
		}
		$template->touchBlock('schools');
	}	
}
else
{
    cmn_unathorized_action();
}



include('includes/application_bottom.php');
?>