<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

function chstr_is_cc($string, $oknull = false)
{
    if(trim($string) == "" && $oknull == true)
    {
    	return true;
    }
    $result = preg_match('/^([0-9]{16})$/i', trim($string), $out);
    return $result;
}

function chstr_is_cvv($string, $oknull = false)
{
    if(trim($string) == "" &&  $oknull == true)
    {
    	return true;
    }
    $result = preg_match('/^([0-9]{3,4})$/', trim($string));
    return $result;
}

function chstr_is_mail($string, $oknull = false)
{
	return ( $oknull && ($string == '') ) || (preg_match("/".REGEXP_EMAIL."/",$string) ? true : false);
}

function chstr_is_phone_number($string, $oknull = false)
{
	return ( $oknull && ($string == '') ) || (preg_match("/^[\+\d][\d]+$/",$string) ? true : false);
}

function chstr_is_address($string, $oknull = false)
{
	return ( $oknull && ($string == '') ) || ( ($string != '') && (strlen($string)<=200) );
}

function chstr_is_accname($string, $oknull = false)
{
	return ($oknull && ($string == '') ) || ( (preg_match("/^[\w]+$/",$string) ? true : false) && (strlen($string)<=50) );
}

function chstr_is_name($string, $oknull = false)
{
	return ( $string != '' ) || ( $oknull && ($string == '') );
}

function chstr_is_date_ymd($string)
{
	return preg_match("/^\d\d\d\d-\d\d-\d\d$/",$string);
}

function chstr_is_date_ymdhsm($string)
{
	return preg_match("/^\d\d\d\d-\d\d-\d\d \d{1,2}:\d\d \w\w$/",$string);
}

function chstr_is_url($string, $oknull = false)
{
	return ( $string != '' ) || ( $oknull && ($string == '') );
}
?>