<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once(PATH_SETTINGS . 'config.php');
require_once(PATH_INCLUDES . 'constants.php');

require_once(PATH_FUNCTIONS . 'common.php');
require_once(PATH_FUNCTIONS . 'template.php');
require_once(PATH_FUNCTIONS . 'untrusteddata.php');
require_once(PATH_FUNCTIONS . 'database.php');
require_once(PATH_FUNCTIONS . 'checkstring.php');
require_once(PATH_FUNCTIONS . 'io.php');
require_once(PATH_FUNCTIONS . 'forum.php');
require_once(PATH_FUNCTIONS . 'wiki.php');
require_once(PATH_FUNCTIONS . 'paypal.php');

// New stuff
require_once(PATH_CLASSES . "utils/class.Request.php");
require_once(PATH_CLASSES . "utils/class.RequestException.php");
require_once(PATH_CLASSES . "utils/class.UploadedFile.php");
require_once(PATH_CLASSES . "utils/class.IOMethodException.php");
require_once(PATH_CLASSES . "utils/class.IOIncorrectValidatorException.php");
require_once(PATH_CLASSES . "class.ApplicationContext.php");

require_once(PATH_CLASSES . 'class.Gdata.php');
require_once(PATH_CLASSES . 'class.GMailer.php');
require_once(PATH_CLASSES . 'class.GrabYahoo.php');

require_once(PATH_CLASSES . "class.Excel.php");
require_once(PATH_CLASSES . "class.XlsStream.php");

require_once(PATH_CLASSES . 'class.Sigma.php');
require_once(PATH_CLASSES . 'class.DBConnect.php');
require_once(PATH_CLASSES . 'class.QueryResult.php');
require_once(PATH_CLASSES . 'class.Listing.php');
require_once(PATH_CLASSES . 'class.Thumbnail.php');
require_once(PATH_CLASSES . 'class.xmlparser.php');
require_once(PATH_CLASSES . 'fpdf/class.FPDF.php');

require_once(PATH_CLASSES . 'class.BuddyList.php');
require_once(PATH_CLASSES . 'class.MyConnections.php');

require_once(PATH_CLASSES . 'common/class.Entity.php');
require_once(PATH_CLASSES . 'common/class.ConnectionEntity.php');

require_once(PATH_CLASSES . 'entity/class.Session.php');
require_once(PATH_CLASSES . 'entity/class.AdditionalStorage.php');
require_once(PATH_CLASSES . 'entity/class.Country.php');
require_once(PATH_CLASSES . 'entity/class.State.php');

// phase 3
require_once(PATH_CLASSES . 'entity/class.Company.php');
require_once(PATH_CLASSES . 'entity/class.School.php');
require_once(PATH_CLASSES . 'entity/class.User.php');
require_once(PATH_CLASSES . 'entity/class.Album.php');
require_once(PATH_CLASSES . 'entity/class.Photo.php');
require_once(PATH_CLASSES . 'entity/class.BlogEntry.php');
require_once(PATH_CLASSES . 'entity/class.BlogComment.php');
require_once(PATH_CLASSES . 'entity/class.Connection.php');
require_once(PATH_CLASSES . 'entity/class.Group.php');
require_once(PATH_CLASSES . 'entity/class.Organization.php');
require_once(PATH_CLASSES . 'entity/class.Location.php');
require_once(PATH_CLASSES . 'entity/class.Invitation.php');
require_once(PATH_CLASSES . 'entity/class.SocialGroup.php');
require_once(PATH_CLASSES . 'entity/class.Skill.php');
require_once(PATH_CLASSES . 'entity/class.Team.php');
require_once(PATH_CLASSES . 'entity/class.Todo.php');
require_once(PATH_CLASSES . 'entity/class.Comment.php');
require_once(PATH_CLASSES . 'entity/class.News.php');
require_once(PATH_CLASSES . 'entity/class.NewsDraft.php');
require_once(PATH_CLASSES . 'entity/class.Community.php');
require_once(PATH_CLASSES . 'entity/class.Event.php');
require_once(PATH_CLASSES . 'entity/class.EventCategory.php');
require_once(PATH_CLASSES . 'entity/class.Message.php');
require_once(PATH_CLASSES . 'entity/class.Tag.php');
require_once(PATH_CLASSES . 'entity/class.TagLocation.php');
require_once(PATH_CLASSES . 'entity/class.SharedFile.php');
require_once(PATH_CLASSES . 'entity/class.Form.php');
require_once(PATH_CLASSES . 'entity/class.FormField.php');
require_once(PATH_CLASSES . 'entity/class.FormFieldOption.php');
require_once(PATH_CLASSES . 'entity/class.FormSubmission.php');
require_once(PATH_CLASSES . 'entity/class.ServerSpace.php');
require_once(PATH_CLASSES . 'entity/class.VideoAlbum.php');
require_once(PATH_CLASSES . 'entity/class.Video.php');
require_once(PATH_CLASSES . 'entity/class.Comment.php');
require_once(PATH_CLASSES . 'entity/class.Complaint.php');
require_once(PATH_CLASSES . 'entity/class.UserBlock.php');
require_once(PATH_CLASSES . 'entity/class.SentInvitation.php');
require_once(PATH_CLASSES . 'entity/class.Program.php');
require_once(PATH_CLASSES . 'entity/class.Order.php');      
?>