<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');
$template->loadTemplateFile('member_add.html');
if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

if (isset($_GET['entity']) && isset($_GET['id']))
{
	$entity = Entity::getObject($_GET['entity'], $_GET['id']);
}
else
{
	print '<script type="text/javascript">self.close();</script>';
	exit(0);
}

if ($entity->{db_get_entity_key($entity)} == -1)
{
	print '<script type="text/javascript">self.close();</script>';
	exit(0);
}

if ($entity->userIsAdmin($user->UserID))
{
	$users = $user->getEntityObjects();
	foreach ($users as $key => $object)
	{
		if (!$entity->hasMember($object->UserID) && ($object->UserType != USER_TYPE_EMPLOYER))
		{
			$user_id = $object->UserID;
			$user_info = $object->UserFirstname . ' ' . $object->UserLastname;

			$template->setVariable('UserID', $user_id);
			$template->setVariable('UserInfo', $user_info);

			$template->parse('user');
		}
	}
}
else
{
	cmn_unauthorized_action();
}

include('includes/application_bottom.php');