<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('settings/config.php');

define('IN_PHPBB', true);
$phpbb_root_path = './forum/';

$phpEx = substr(strrchr(__FILE__, '.'), 1);

require($phpbb_root_path . 'common.' . $phpEx);

require($phpbb_root_path . 'includes/functions_user.' . $phpEx);
require($phpbb_root_path . 'includes/functions_module.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('ucp');

session_start();

$user_type = USER_NORMAL;
$user_actkey = '';
$user_inactive_reason = 0;
$user_inactive_time = 0;

$timezone = date('Z') / 3600;
$is_dst = date('I');

$data = $_SESSION['userdata'];


$user_row = array(
	'username'			    => $data['UserFirstname'] . ' ' . $data['UserLastname'],
	'user_password'			=> phpbb_hash($data['Password']),
	'user_email'			=> $data['UserEmail'],
	'group_id'				=> 2,
	'user_timezone'			=> 0,
	'user_dst'				=> $is_dst,
	'user_lang'				=> $data['lang'],
	'user_type'				=> $user_type,
	'user_actkey'			=> $user_actkey,
	'user_ip'				=> $_SERVER['REMOTE_ADDR'],
	'user_regdate'			=> time(),
	'user_inactive_reason'	=> 0,
	'user_inactive_time'	=> 0
);

// Register user...
$user_id = user_add($user_row, $cp_data);

$auth->login($data['UserEmail'], $data['Password']);

header('Location: member.php');
exit(0);
?>