function open_window(url)
{
	window.open(url);
}

function listing_go(pagesCount, field, url)
{
	var pageNum = document.getElementById(field).value;
	if ((pageNum > 0) && (pageNum <= pagesCount))
	{
		document.location.href = url + pageNum;
	}

}

function row_set_editable(entity, entityID, editable)
{
    var form = document.getElementById(entity + '_' + entityID);

    var fields = form.elements;
    for (i = 0; i < fields.length; i++)
    {
        if (fields[i].type == 'text')
        {
        	fields[i].disabled = !editable;
        }
    }

    var fields = form.getElementsByTagName('SELECT');
    for (i = 0; i < fields.length; i++)
    {
        fields[i].disabled = !editable;
    }

    document.getElementById('divEditDelete_' + entity + '_' + entityID).style.display = editable ? 'none' : '';
    document.getElementById('divSaveCancel_' + entity + '_' + entityID).style.display = editable ? '' : 'none';
}

function submit_row(entity, entityID, strMode)
{
    var formID = entity;

    if (entityID)
    {
        formID += '_' + entityID;
    }

    var form = document.getElementById(formID);
    var mode = document.getElementById(formID + '_mode');
    mode.value = strMode;
    form.submit();
}

function save_row(entity, entityID)
{
    submit_row(entity, entityID, 'save');
}

function delete_row(entity, entityID)
{
    submit_row(entity, entityID, 'delete');
}

function cancel_row(entity, entityID)
{
    var formID = entity;

    if (entityID)
    {
        row_set_editable(entity, entityID, false);
        formID += '_' + entityID;
    }
    else
    {
        var tr = document.getElementById(entity + '_new');
        tr.style.display = 'none';

        var btnAdd = document.getElementById(entity + '_btnAdd');
        btnAdd.disabled = false;
    }

    var form = document.getElementById(formID);
    form.reset();
}

function edit_row(entity, entityID)
{
	row_set_editable(entity, entityID, true);
}

function add_row(entity)
{
    var tr = document.getElementById(entity + '_new');
    tr.style.display = '';

    var btnAdd = document.getElementById(entity + '_btnAdd');
    btnAdd.disabled = true;
}