<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

include('includes/application_top.php');

$db = DBConnect::getInstance();

$loginErrors = array();

if (!(isset($_POST['UserEmail']) || !isset($_POST['Password'])))
{
	$_SESSION['MESSAGES'] = array('login_incorrect');
	cmn_redirect('index.php');
}

$remember_me = isset($_POST['RememberLogin']);
$user = User::createFromEmailLogin($_POST['UserEmail'], $_POST['Password'], $remember_me);

if ($user->isAuthorised())
{
	unset($_SESSION['MESSAGES']);

	$_SESSION['user'] = $user;
	$_SESSION['userdata']['Username'] = $user->UserFirstname . ' ' . $user->UserLastname;
	$_SESSION['userdata']['Password'] = $_POST['Password'];
	$_SESSION['userdata']['UserEmail'] = $_POST['UserEmail'];

	if(!defined('DOKU_INC')) define('DOKU_INC',dirname(__FILE__).'/wiki/');
	require_once(DOKU_INC.'inc/init.php');
	require_once(DOKU_INC.'inc/common.php');
	require_once(DOKU_INC.'inc/events.php');
	require_once(DOKU_INC.'inc/pageutils.php');
	require_once(DOKU_INC.'inc/html.php');
	require_once(DOKU_INC.'inc/auth.php');
	require_once(DOKU_INC.'inc/actions.php');

	auth_login($_POST['UserEmail'], $_POST['Password']);

	setcookie('comm_sid', session_id());
	header('Location: authenticate_forum.php');
}
else
{
	$loginErrors[] = 'login_incorrect';
}

ApplicationContext::save();

$_SESSION['MESSAGES'] = $loginErrors;

cmn_redirect('authenticate_forum.php');