<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'blog';
include('includes/application_top.php');
$template->setGlobalVariable('SectionHeader', 'My Blog');

if (!Session::isCurrentSessionLoggedIn())
{
	cmn_unauthorized_action();
}

$blogEntry = new BlogEntry(@$_GET['id']);

$data = array
(
	'BlogEntryDate'		=> $blogEntry->BlogEntryDate,
	'BlogEntrySubject'	=> $blogEntry->BlogEntrySubject,
	'BlogEntryMessage'	=> $blogEntry->BlogEntryMessage,
	'BlogEntryKeywords'	=> $blogEntry->BlogEntryKeywords,
);

if (isset($_POST['submited']))
{
	foreach ($data as $key => $value)
	{
		$data[$key] = @$_POST[$key];
		switch ($key)
		{
			case 'BlogEntrySubject':

				if ($data[$key] == '')
				{
					$template->touchBlock($key . '_error');
					$error = true;
				}
		}
	}

	if (!$error)
	{
		$blogEntry->UserID = $user->UserID;
		$blogEntry->populateFromArray($data);
		$blogEntry->saveToDB();
		cmn_redirect('blog.php');
	}
}

$template->setVariable($data);

include('includes/application_bottom.php');