<?
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

$section = 'calendar';
require_once('includes/application_top.php');
$template->loadTemplateFile('calendar_privacy.html');
if (Session::isCurrentSessionLoggedIn())
{
	$template->setGlobalVariable('SectionHeader', 'Calendar Privacy');

	$obj	= $user;
	$field	= 'ToUserID';
	$entity = 'User';

	switch (strtolower(isset($_GET['entity']) ? $_GET['entity'] : @$_GET['type']))
	{
		case 'community':
		case 'organization':
		case 'group':
			$entity = ucfirst($_GET['entity']);
			$field .= $entity . 'ID';

		case 'user':
			$obj = Entity::getObject($entity, @$_GET['id']);
	}


	if (($id = $obj->{db_get_entity_key($obj)}) != -1)
	{
		if (isset($_POST['submited']))
		{
			Connection::clearCalendarPrivacy($entity, $id);

			foreach (array('Community', 'Group', 'Organization', 'User') as $targetEntity)
			{
				if (is_array(@$_POST[$targetEntity . 'ID']))
				{
					foreach ($_POST[$targetEntity . 'ID'] as $targetID)
					{
						$target = Entity::getObject($targetEntity, $targetID);
						if ($target->{db_get_entity_key($target)} != -1)
						{
							Connection::createCalendarPrivacyConnection($entity, $id, $targetEntity, $targetID);
						}
					}
				}
			}

			$obj->{$entity . 'CalendarPrivacy'} = $_POST['CalendarPrivacy'];
			$obj->saveToDB();
			
			$template->touchBlock('close_window');
		}
		else
		{
			$template->touchBlock('CalendarPrivacy_' . $obj->{$entity . 'CalendarPrivacy'});

			$control = new MyConnections('CONNECTIONS', 'control.myconnections_select.html');
			$control->parse($template, $user->UserID, 0);

			$connections = Connection::getConnections(array($field => $id, 'ConnectionType' => CONNECTIONTYPE_CALENDAR_ACCESS));

			foreach ($connections as $connection)
			{
				$target = $connection->getTarget($user);
				$template->setVariable('Entity', get_class($target));
				$template->setVariable('ID', $target->{db_get_entity_key($target)});
				$template->parse('access');
			}
		}
	}
}

require_once('includes/application_bottom.php');
?>