<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

class School extends Entity
{
	public $SchoolID			= -1;
	public $UserID				= -1;
	public $SchoolName			= "";
	public $SchoolStartDate		= "";
	public $SchoolEndDate		= "";
	public $SchoolDescription	= "";
	public $SchoolDegree		= "";

	public static function getUserSchools($userID)
	{
		$return = array();

		$db = DBConnect::getInstance();
		$result = $db->query('select * from school where UserID = %d', $userID);
		foreach ($result->Data as $row)
		{
			$school = new School();
			$school->populateFromArray($row);

			$return[] = $school;
		}

		return $return;
	}

	public static function clearUserSchools($userID)
	{
		$db = DBConnect::getInstance();
		$db->delete('school', 'UserID = %d', $userID);
	}
}
?>