<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 
$TESTUSERS = array('test@socialabc.com', 'admin');
define('REGEXP_EMAIL',	'^[0-9A-Za-z_\.\-]+@[A-Z0-9a-z_^\.\-]+\.[a-z]{2,3}$');
define('CURRENT_TIME', date('Y-m-d H:i:s'));
define('DATE_FORMAT', 'm/d/y');

define('ADMIN_ADACCOUNTID', 1);

define('FULFILL_CONTACT_MESSAGE', 	1);
define('FULFILL_CONTACT_EMAIL', 	2);
define('FULFILL_CONTACT_PHONE', 	3);

// calendar privacy settings
define('CALENDAR_PRIVACY_PUBLIC',	 0);
define('CALENDAR_PRIVACY_PRIVATE',	 1);
define('CALENDAR_PRIVACY_PROTECTED', 2);

define('PRIVACY_PUBLIC',	 0);
define('PRIVACY_PRIVATE',	 1);

// news privacy settings
define('NEWS_PRIVACY_PUBLIC', 0);
define('NEWS_PRIVACY_MEMBERS', 1);
define('NEWS_PRIVACY_ADMINS', 2);

//
define('ORGANIZATION_ACTIVE_HOLD',     1);
define('ORGANIZATION_ACTIVE_ACCEPTED', 2);
define('ORGANIZATION_ACTIVE_REJECTED', 3);


// events
define('EVENT_TYPE_PUBLIC',  0);
define('EVENT_TYPE_CLOSED',  1);
define('EVENT_TYPE_PRIVATE', 2);

define('EVENT_TYPE_PERSONAL',  0);
define('EVENT_TYPE_GROUP',     1);
define('EVENT_TYPE_FREE',      2);

define('EVENT_AVAILABILITY_PRIVATE', 0);
define('EVENT_AVAILABILITY_PUBLIC',  1);

define('EVENT_REMINDER_NONE',  0);
define('EVENT_REMINDER_20MIN', 1);
define('EVENT_REMINDER_1HOUR', 2);
define('EVENT_REMINDER_1DAY',  3);

define('EVENT_REMINDERTYPE_NONE',    0);
define('EVENT_REMINDERTYPE_CELLECT', 0x1);
define('EVENT_REMINDERTYPE_EMAIL',   0x2);

define('EVENT_PHOTO_WIDTH',  300);
define('EVENT_PHOTO_HEIGHT', 200);

define('ORDER_STATUS_PENDING',        1);
define('ORDER_STATUS_CHARGED',        2);
define('ORDER_STATUS_DECLINED',       3);
define('ORDER_STATUS_DELETED',        4);

define('ORDER_PAYMENT_TYPE_CC',        1);
define('ORDER_PAYMENT_TYPE_CHECK',    2);

define('CC_TYPE_MASTERCARD',	1);
define('CC_TYPE_VISA',			2);
define('CC_TYPE_DISCOVER',		3);

define('PROGRAM_STATUS_PENDING',      0);
define('PROGRAM_STATUS_ACTIVE',       1);
define('PROGRAM_STATUS_COMPLETED',    2);
define('PROGRAM_STATUS_SYSTEM',       3);

define('ALBUMTYPE_ORG',		1);
define('ALBUMTYPE_GROUP',	2);
define('ALBUMTYPE_USER',	3);
define('VIDEOTYPE_ORG',		1);
define('VIDEOTYPE_GROUP',	2);
define('VIDEOTYPE_USER',	3);

// blog settings
define('BLOG_ENTRY_PREVIEW_SIZE', 350);

define('FILEICONS_EXT',	"jpg");

// Allowed extensions list in format 'extension' => 'mime type'
$FILE_DOWNLOAD_ALLOWED_EXT = array (

  // archives
  'zip' => 'application/zip',

  // documents
  'pdf' => 'application/pdf',
  'doc' => 'application/msword',
  'xls' => 'application/vnd.ms-excel',
  'ppt' => 'application/vnd.ms-powerpoint',

  // executables
  'exe' => 'application/octet-stream',

  // images
  'gif' => 'image/gif',
  'png' => 'image/png',
  'jpg' => 'image/jpeg',
  'jpeg' => 'image/jpeg',

  // audio
  'mp3' => 'audio/mpeg',
  'wav' => 'audio/x-wav',

  // video
  'mpeg' => 'video/mpeg',
  'mpg' => 'video/mpeg',
  'mpe' => 'video/mpeg',
  'mov' => 'video/quicktime',
  'avi' => 'video/x-msvideo'
);

define('USER_TYPE_MEMBER',		0);
define('USER_TYPE_EMPLOYER',	1);
define('USER_TYPE_INVITED',		2);

define('USERBLOCK_RESOURCE_COMMUNITIES',	0x1);
define('USERBLOCK_RESOURCE_MEDIA',			0x4);
define('USERBLOCK_RESOURCE_MESSAGES',		0x8);
define('USERBLOCK_RESOURCE_INVITATIONS',	0x10);
define('USERBLOCK_RESOURCE_ALL',			0x40);

define('USERBLOCK_TYPE_EMAIL', 1);
define('USERBLOCK_TYPE_PHONE', 2);
define('USERBLOCK_TYPE_CA', 3); // checking account
define('USERBLOCK_TYPE_CC', 4); // credit card

define('PHOTOSTATUS_ACTIVE',		1);
define('PHOTOSTATUS_NOT_APPROVED',	2);

define('VIDEOSTATUS_ACTIVE',		1);
define('VIDEOSTATUS_NOT_APPROVED',	2);

define('ALBUM_PHOTOS_ON_LINE',	3);
define('ALBUM_LINES_ON_PAGE',	3);
define('ALBUM_VIDEOS_ON_LINE',	4);
define('FILES_ON_LINE',			4);
define('FILE_LINES_ON_PAGE',	2);
define('VIDEOS_ON_LINE',		4);
define('VIDEO_LINES_ON_PAGE',	2);

define('ALBUM_PHOTO_WIDTH',			300);
define('ALBUM_PHOTO_HEIGHT',		300);
define('ALBUM_PHOTOPREVIEW_WIDTH',	100);
define('ALBUM_PHOTOPREVIEW_HEIGHT',	100);

define('CONNECTIONTYPE_MEMBER',	     1);
define('CONNECTIONTYPE_ADMIN',	     2);
define('CONNECTIONTYPE_PRIVACY',     3);
define('CONNECTIONTYPE_BUDDY',       4);
define('CONNECTIONTYPE_PREFERENCES', 5);
define('CONNECTIONTYPE_BLOCKED',	 6);
define('CONNECTIONTYPE_OWNER',		 7);
define('CONNECTIONTYPE_CALENDAR_ACCESS', 8);
define('CONNECTIONTYPE_ALBUM_ACCESS', 13);

define('CONNECTIONFLAG_STATUS_ACTIVE',		1);
define('CONNECTIONFLAG_STATUS_SUSPEND',		2);
define('CONNECTIONFLAG_STATUS_DELETED',		3);
define('CONNECTIONFLAG_STATUS_REINSTATED',	4);

// connection flags
define('CONNECTIONFLAG_TYPE_OFFICIAL',		5);
define('CONNECTIONFLAG_TYPE_UNOFFICIAL',	6);


define('USER_PREFERENCES_EMAIL',     0x1);
define('USER_PREFERENCES_MESSAGES',  0x4);

define('USER_PRIVACY_POLICY_PHONE',  0x10);

// connection privacy flags
define('PRIVACY_FLAGS_NONE', 			0);
define('PRIVACY_FLAG_PERSONAL_INFO', 	0x1);
define('PRIVACY_FLAG_OTHER_CONTACTS', 	0x2);
define('PRIVACY_FLAG_OTHER_GROUPS', 	0x4);
define('PRIVACY_FLAG_FAVOURITES', 		0x10);
define('PRIVACY_FLAG_SKILLS', 			0x20);
define('PRIVACY_FLAGS_ALL', 			PRIVACY_FLAG_PERSONAL_INFO | PRIVACY_FLAG_OTHER_CONTACTS | PRIVACY_FLAG_OTHER_GROUPS | PRIVACY_FLAG_FAVOURITES | PRIVACY_FLAG_SKILLS);
// blog entry to user conection privacy flags
define('PRIVACY_FLAG_BLOGENTRY_UNSET',		0);
define('PRIVACY_FLAG_BLOGENTRY_SET',		1);
// tag to user conection privacy flags
define('PRIVACY_FLAG_TAG_UNSET',	0);
define('PRIVACY_FLAG_TAG_SET',		1);
// common privacy privacy flags settings
define('PRIVACY_FLAG_UNSET',	0);
define('PRIVACY_FLAG_SET',		1);

// message types
define('MESSAGE_ALL',                 -1);
define('MESSAGE_MEMBER_MEMBER',        1); //Member to member
define('MESSAGE_MEMBER_GROUP',         2); //Member to group
define('MESSAGE_MEMBER_COMMUNITY',     3); //Member to community
define('MESSAGE_MEMBER_ORGANIZATION',  4); //Member to organiztion
define('MESSAGE_GROUP_INVITE',         5);
define('MESSAGE_GROUP_REQUEST',        6);
define('MESSAGE_ORGANIZATION_INVITE',  7);
define('MESSAGE_ORGANIZATION_REQUEST', 8);
define('MESSAGE_OFFICIAL',             9);  //official Community message
define('MESSAGE_EVENT_INVITE',         10); //Event invitation
define('MESSAGE_ACCEPTED',             11);
define('MESSAGE_DECLINED',             12);
define('MESSAGE_EVENT_REQUEST',        13);
define('MESSAGE_BUDDY_REQUEST',        14);
define('MESSAGE_RESUME_REQUEST',       15);

define('MESSAGE_BUDDY_ACCEPTED',	    16);
define('MESSAGE_EVENT_ACCEPTED',	    17);
define('MESSAGE_GROUP_ACCEPTED',	    18);
define('MESSAGE_ORGANIZATION_ACCEPTED', 19);
define('MESSAGE_BUDDY_DECLINED',		20);
define('MESSAGE_GROUP_DECLINED',		21);
define('MESSAGE_ORGANIZATION_DECLINED', 22);
define('MESSAGE_EVENT_REQUEST_DECLINED', 23);
define('MESSAGE_EVENT_INVITE_DECLINED', 24);
define('MESSAGE_EMAIL',				    25);
define('MESSAGE_GROUP_ADMIN_INVITE',    26);
define('MESSAGE_ORGANIZATION_ADMIN_INVITE',    27);
define('MESSAGE_COMMUNITY_ACCEPTED',    28);
define('MESSAGE_COMMUNITY_DECLINED',    29);

define('MESSAGE_USER_TAGGING_REQUEST', 30);
define('MESSAGE_GROUP_TAGGING_REQUEST', 31);
define('MESSAGE_ORGANIZATION_TAGGING_REQUEST', 32);

define('USER_EVENT_MEMBER', 1);
define('USER_EVENT_ADMIN',	2);

$MESSAGE_LABELS = array(
	MESSAGE_MEMBER_MEMBER 			=> 'Member Message',
	MESSAGE_MEMBER_GROUP        	=> 'Group Message',
	MESSAGE_MEMBER_COMMUNITY    	=> 'Community Message',
	MESSAGE_MEMBER_ORGANIZATION 	=> 'Organization Message',
	MESSAGE_GROUP_ADMIN_INVITE    	=> 'Group Invitation',
	MESSAGE_GROUP_INVITE         	=> 'Group Invitation',
	MESSAGE_GROUP_REQUEST       	=> 'Group Membership Request',
	MESSAGE_ORGANIZATION_ADMIN_INVITE 	=> 'Organization Invitation',
	MESSAGE_ORGANIZATION_INVITE 	=> 'Organization Invitation',
	MESSAGE_ORGANIZATION_REQUEST 	=> 'Org Membership Request',
	MESSAGE_OFFICIAL                => 'Official',
	MESSAGE_EVENT_INVITE            => 'Event Invitation',
	MESSAGE_ACCEPTED                => 'Accepted',
	MESSAGE_DECLINED                => 'Declined',
	MESSAGE_EVENT_REQUEST           => 'Event Participation Request',
	MESSAGE_BUDDY_REQUEST           => 'Friendship Request'
);

// message statuses
define('MESSAGE_STATUS_SENT',         0);
define('MESSAGE_STATUS_UNREAD',       1);
define('MESSAGE_STATUS_READ',         2);
define('MESSAGE_STATUS_DELETED',      3);
define('MESSAGE_STATUS_SENT_DELETED', 4);

define('UPLOADED_FILES_PATH', 'files');
define('MAX_UPLOAD_FILE_SIZE', 3145728);

define('PERMISSION_ALLOW_PHOTOS',	0x1);
define('PERMISSION_ALLOW_VIDEOS',	0x2);
define('PERMISSION_ALLOW_FILES',	0x4);

// team permissions
define('TEAM_PERMISSION_PRODUCTS',	1);
define('TEAM_PERMISSION_CALENDAR_ENTRIES',	2);
define('TEAM_PERMISSION_DISCUSSION_BOARDS',	4);
define('TEAM_PERMISSION_FILES',	8);
define('TEAM_PERMISSION_PHOTOS_VIDEOS',	16);
define('TEAM_PERMISSION_MILESTONES_TODOS',	32);

// user (account) status
define('USER_STATUS_ACTIVE',		1);
define('USER_STATUS_DEACTIVATED',	2);

// user online status
define('USER_ONLINE_STATUS_ONLINE',	1);
define('USER_ONLINE_STATUS_AWAY',	2);
define('USER_ONLINE_STATUS_OTHER',	3);

// member statuses in group\organization
define('MEMBER_STATUS_ACTIVE',	1);
define('MEMBER_STATUS_SUSPEND',	2);
define('MEMBER_STATUS_BLOCKED',	3);

// todo statuses in group\organization
define('TODO_STATUS_IN_PROGRESS',	1);
define('TODO_STATUS_COMPLETED',		2);

// entity statuses
define('ENTITY_STATUS_PUBLIC',  0);
define('ENTITY_STATUS_CLOSED',  1);
define('ENTITY_STATUS_PRIVATE', 2);

// group statuses
define('GROUP_STATUS_PUBLIC',  ENTITY_STATUS_PUBLIC);
define('GROUP_STATUS_CLOSED',  ENTITY_STATUS_CLOSED);
define('GROUP_STATUS_PRIVATE', ENTITY_STATUS_PRIVATE);
// for the sake of compatibility
define('GROUP_TYPE_PUBLIC', GROUP_STATUS_PUBLIC);
define('GROUP_TYPE_CLOSED', GROUP_STATUS_CLOSED);
define('GROUP_TYPE_PRIVATE', GROUP_STATUS_PRIVATE);

$GROUP_STATUS_LABELS = array(
	GROUP_STATUS_PUBLIC  => 'Public',
	GROUP_STATUS_CLOSED  => 'Closed',
	GROUP_STATUS_PRIVATE => 'Private'
);

// organizaion types
define('ORGANIZATION_STATUS_PUBLIC',  ENTITY_STATUS_PUBLIC);
define('ORGANIZATION_STATUS_CLOSED',  ENTITY_STATUS_CLOSED);
define('ORGANIZATION_STATUS_PRIVATE', ENTITY_STATUS_PRIVATE);

$ORGANIZATION_STATUS_LABELS = array(
	ORGANIZATION_STATUS_PUBLIC  => 'Public',
	ORGANIZATION_STATUS_CLOSED  => 'Closed',
	ORGANIZATION_STATUS_PRIVATE => 'Private'
);

define('TODO_NOTIFICATION_MESSAGE_SUBJECT', 'New ToDo');
define('TODO_NOTIFICATION_MESSAGE_TEXT', 'You\'ve got a new ToDo');

define('MIN_AVATAR_SIZE',			51200); // 50Kb
define('MAX_AVATAR_SIZE',			3145728); // 3Mb
define('MIN_PASSWORD_LENGTH', 		3);

define('MAX_EMAIL_LENGTH', 50);
define('MAX_PASSWORD_LENGTH', 32);
define('MAX_PERSON_NAME_LENGTH', 32);

define('COMMENT_TYPE_POSITIVE', 1);
define('COMMENT_TYPE_NEGATIVE', 2);

define('PASSWORD_RECOVERY_SUBJECT', 'Password Recovery');
define('PASSWORD_RECOVERY_ALPHABET', '0123456789abcdefghjiklmnopqrstuvwxyz');
define('PASSWORD_RECOVERY_LENGTH', 8);
define('PASSWORD_RECOVERY_INDEBUG', 1);

// excel processing
define('DOWNLOAD_MEMBER_EXCEL_SHEET_FILEPATH', realpath('.'));
define('CONNECTIONS_SPREADSHEET_TEMPLATE_NAME', 'MemberInvitationList.xls');
define('CONNECTIONS_SPREADSHEET_TEMPLATE_PATH', realpath('.') . '/' . CONNECTIONS_SPREADSHEET_TEMPLATE_NAME);

// forum properties
define('FORUM_GROUP_PARENT_ID', 3);

// tagging
define('TAG_TYPE_RESERVED', 0);
define('TAG_TYPE_DOCUMENT', 1);
define('TAG_TYPE_PHOTO', 2);
define('TAG_TYPE_VIDEO', 3);
define('TAG_TYPE_FORUM_POST', 4);
define('TAG_TYPE_BLOG_ENTRY', 5);
define('TAG_TYPE_NEWS', 6);
define('TAG_TYPE_SHARED_FILE', 7);
define('TAG_TYPE_PHOTO_ALBUM', 8);
define('TAG_TYPE_VIDEO_ALBUM', 9);
define('TAG_STATUS_ACCEPTED', 1);
define('TAG_STATUS_DECLINED', 0);
define('TAG_PRIVACY_PUBLIC', 0);
define('TAG_PRIVACY_PRIVATE', 1);

// complaint
define('COMPLAINT_SOURCE_PRODUCT',        1);
define('COMPLAINT_SOURCE_USER' ,          2);
define('COMPLAINT_SOURCE_GROUP',          3);
define('COMPLAINT_SOURCE_ORGANIZATION',   4);
define('COMPLAINT_SOURCE_PHOTO',          5);
define('COMPLAINT_SOURCE_VIDEO',          6);

define('COMPLAINT_STATUS_NEW',      1);
define('COMPLAINT_STATUS_RESOLVED', 2);
define('COMPLAINT_STATUS_DECLINED', 3);

define('RECORDS_PER_PAGE',	10); // it's not a project setting
define('USERS_PER_PAGE',	25); // for admin panel

// forms
define('FORM_STATUS_ACTIVE',	1);
define('FORM_STATUS_INACTIVE', 	0);

define('GROUPTYPE_ORG',		1);
define('GROUPTYPE_USER',	3);


$EXCEL_MEMBER_SHEET_COLUMN_NAMES = array(
	'MEMBER_EMAIL' => 'Member Email',
	'MEMBER_TITLE' => 'Member Title',
	'TEAM_AFFILIATION' => 'Team Affiliation',
	'PERMISSION_PRODUCTS' => 'Access To Products',
	'PERMISSION_CALENDAR_ENTRIES' => 'Access To Calendar Entries',
	'PERMISSION_DISCUSSION_BOARDS' => 'Access To Discussion Boards',
	'PERMISSION_FILES' => 'Access To Files',
	'PERMISSION_PHOTOS_VIDEOS' => 'Access To Photos & Videos',
	'PERMISSION_MILESTONES_TODOS' => 'Access To Milestones & Todos',
);

$HEADER_IMG = array
(
	'welcome_header.jpg'		=> array('index.php', 'incorrect_login.php'),
	'organizations_header.jpg'	=> array('organizations.php', 'test.php'),
	'account_info_header.jpg'	=> 'member.php',
	'events_header.jpg'			=> 'events.php',
	'contact_header.jpg'		=> 'contact.php',
	'account_info_header.jpg'	=> array('account.php')
);

//
$PIC_EXTENSIONS = array
(
	'jpg',
	'jpeg',
	'gif',
	'png'
);

$COUNTRIES = array(
	"US" => "United States",
	"CA" => "Canada",
	"AD" => "Andorra",
	"AE" => "United Arab Emirates",
	"AG" => "Antigua and Barbuda",
	"AI" => "Anguilla",
	"AL" => "Albania",
	"AM" => "Armenia",
	"AN" => "Netherlands Antilles",
	"AO" => "Angola",
	"AQ" => "Antarctica",
	"AR" => "Argentina",
	"AS" => "American Samoa",
	"AT" => "Austria",
	"AU" => "Australia",
	"AW" => "Aruba",
	"AZ" => "Azerbaijan",
	"BA" => "Bosnia and Herzegovina",
	"BB" => "Barbados",
	"BD" => "Bangladesh",
	"BE" => "Belgium",
	"BF" => "Burkina Faso",
	"BG" => "Bulgaria",
	"BH" => "Bahrain",
	"BI" => "Burundi",
	"BU" => "Burma",
	"BJ" => "Benin",
	"BM" => "Bermuda",
	"BN" => "Brunei Darussalam",
	"BO" => "Bolivia",
	"BR" => "Brazil",
	"BS" => "Bahamas",
	"BT" => "Bhutan",
	"BV" => "Bouvet Island",
	"BW" => "Botswana",
	"BY" => "Belarus",
	"BZ" => "Belize",
	"CC" => "Cocos (Keeling Islands)",
	"CF" => "Central African Republic",
	"CG" => "Congo",
	"CH" => "Switzerland",
	"CI" => "Cote D\'Ivoire (Ivory Coast)",
	"CK" => "Cook Islands",
	"CL" => "Chile",
	"CM" => "Cameroon",
	"CN" => "China",
	"CO" => "Colombia",
	"CR" => "Costa Rica",
	"CU" => "Cuba",
	"CV" => "Cape Verde",
	"CX" => "Christmas Island",
	"CY" => "Cyprus",
	"CZ" => "Czech Republic",
	"DE" => "Germany",
	"DJ" => "Djibouti",
	"DK" => "Denmark",
	"DM" => "Dominica",
	"DZ" => "Algeria",
	"EC" => "Ecuador",
	"EE" => "Estonia",
	"EG" => "Egypt",
	"EH" => "Western Sahara",
	"ER" => "Eritrea",
	"ET" => "Ethiopia",
	"FI" => "Finland",
	"FJ" => "Fiji",
	"FK" => "Falkland Islands (Malvinas)",
	"FM" => "Micronesia",
	"FO" => "Faroe Islands",
	"FR" => "France",
	"GA" => "Gabon",
	"GD" => "Grenada",
	"GE" => "Georgia",
	"GF" => "French Guiana",
	"GH" => "Ghana",
	"GI" => "Gibraltar",
	"GL" => "Greenland",
	"GM" => "Gambia",
	"GN" => "Guinea",
	"GP" => "Guadeloupe",
	"GQ" => "Equatorial Guinea",
	"GR" => "Greece",
	"GS" => "S. Georgia and S. Sandwich Isls.",
	"GT" => "Guatemala",
	"GU" => "Guam",
	"GW" => "Guinea-Bissau",
	"GY" => "Guyana",
	"HK" => "Hong Kong",
	"HM" => "Heard and McDonald Islands",
	"HN" => "Honduras",
	"HR" => "Croatia (Hrvatska)",
	"HT" => "Haiti",
	"HU" => "Hungary",
	"ID" => "Indonesia",
	"IE" => "Ireland",
	"IL" => "Israel",
	"IN" => "India",
	"IO" => "British Indian Ocean Territory",
	"IQ" => "Iraq",
	"IR" => "Iran",
	"IS" => "Iceland",
	"IT" => "Italy",
	"JM" => "Jamaica",
	"JO" => "Jordan",
	"JP" => "Japan",
	"KE" => "Kenya",
	"KG" => "Kyrgyzstan",
	"KH" => "Cambodia",
	"KI" => "Kiribati",
	"KM" => "Comoros",
	"KN" => "Saint Kitts and Nevis",
	"KR" => "Korea (South)",
	"KW" => "Kuwait",
	"KY" => "Cayman Islands",
	"KZ" => "Kazakhstan",
	"LA" => "Laos",
	"LB" => "Lebanon",
	"LC" => "Saint Lucia",
	"LI" => "Liechtenstein",
	"LK" => "Sri Lanka",
	"LR" => "Liberia",
	"LS" => "Lesotho",
	"LT" => "Lithuania",
	"LU" => "Luxembourg",
	"LV" => "Latvia",
	"LY" => "Libya",
	"MA" => "Morocco",
	"MC" => "Monaco",
	"MD" => "Moldova",
	"MG" => "Madagascar",
	"MH" => "Marshall Islands",
	"MK" => "Macedonia",
	"ML" => "Mali",
	"MM" => "Myanmar",
	"MN" => "Mongolia",
	"MO" => "Macau",
	"MP" => "Northern Mariana Islands",
	"MQ" => "Martinique",
	"MR" => "Mauritania",
	"MS" => "Montserrat",
	"MT" => "Malta",
	"MU" => "Mauritius",
	"MV" => "Maldives",
	"MW" => "Malawi",
	"MX" => "Mexico",
	"MY" => "Malaysia",
	"MZ" => "Mozambique",
	"NA" => "Namibia",
	"NC" => "New Caledonia",
	"NE" => "Niger",
	"NF" => "Norfolk Island",
	"NI" => "Nicaragua",
	"NL" => "Netherlands",
	"NO" => "Norway",
	"NP" => "Nepal",
	"NR" => "Nauru",
	"NT" => "Neutral Zone",
	"NU" => "Niue",
	"NZ" => "New Zealand (Aotearoa)",
	"OM" => "Oman",
	"PA" => "Panama",
	"PE" => "Peru",
	"PF" => "French Polynesia",
	"PG" => "Papua New Guinea",
	"PH" => "Philippines",
	"PK" => "Pakistan",
	"PL" => "Poland",
	"PM" => "St. Pierre and Miquelon",
	"PN" => "Pitcairn",
	"PT" => "Portugal",
	"PW" => "Palau",
	"PY" => "Paraguay",
	"PR" => "Puerto Rico", // not moved to $STATES_US yet
	"QA" => "Qatar",
	"RE" => "Reunion",
	"RO" => "Romania",
	"RU" => "Russian Federation",
	"RW" => "Rwanda",
	"SA" => "Saudi Arabia",
	"Sb" => "Solomon Islands",
	"SC" => "Seychelles",
	"SD" => "Sudan",
	"SE" => "Sweden",
	"SG" => "Singapore",
	"SH" => "St. Helena",
	"SI" => "Slovenia",
	"SJ" => "Svalbard and Jan Mayen Islands",
	"SK" => "Slovak Republic",
	"SL" => "Sierra Leone",
	"SM" => "San Marino",
	"SN" => "Senegal",
	"SO" => "Somalia",
	"ES" => "Spain",
	"SR" => "Suriname",
	"ST" => "Sao Tome and Principe",
	"SV" => "El Salvador",
	"SY" => "Syria",
	"SZ" => "Swaziland",
	"TC" => "Turks and Caicos Islands",
	"TD" => "Chad",
	"TF" => "French Southern Territories",
	"TG" => "Togo",
	"TH" => "Thailand",
	"TJ" => "Tajikistan",
	"TK" => "Tokelau",
	"TM" => "Turkmenistan",
	"TN" => "Tunisia",
	"TO" => "Tonga",
	"TP" => "East Timor",
	"TR" => "Turkey",
	"TT" => "Trinidad and Tobago",
	"TV" => "Tuvalu",
	"TW" => "Taiwan",
	"TZ" => "Tanzania",
	"UA" => "Ukraine",
	"UG" => "Uganda",
	"GB" => "United Kingdom",
	"UM" => "US Minor Outlying Islands",
	"UY" => "Uruguay",
	"UZ" => "Uzbekistan",
	"VA" => "Vatican City",
	"VC" => "Saint Vincent and the Grenadines",
	"VE" => "Venezuela",
	"VG" => "Virgin Islands (British)",
	"VI" => "Virgin Islands (U.S.)", // not moved to $STATES_US yet
	"VU" => "Vanuatu",
	"WF" => "Wallis and Futuna Islands",
	"WS" => "Samoa",
	"YE" => "Yemen",
	"YT" => "Mayotte",
	"ZA" => "South Africa",
	"ZM" => "Zambia",
	"ZR" => "Democratic Republic of Congo",
	"CS" => "Serbia & Montenegro",
	"ZW" => "Zimbabwe",
	"AF" => "Afghanistan",
	"NG" => "Nigeria",
	"KP" => "Korea (North)",
	"DO" => "Dominican Republic",
	"VN" => "Vietnam"
);
asort($COUNTRIES);

$STATES_US = array(
	"" => "--",
	"AL" => "Alabama",
	"AK" => "Alaska",
	"AZ" => "Arizona",
	"AR" => "Arkansas",
	"CA" => "California",
	"CO" => "Colorado",
	"CT" => "Connecticut",
	"DE" => "Delaware",
	//"DC" => "District of Columbia",
	"FL" => "Florida",
	"GA" => "Georgia",
	"HI" => "Hawaii",
	"ID" => "Idaho",
	"IL" => "Illinois",
	"IN" => "Indiana",
	"IA" => "Iowa",
	"KS" => "Kansas",
	"KY" => "Kentucky",
	"LA" => "Louisiana",
	"ME" => "Maine",
	"MD" => "Maryland",
	"MA" => "Massachusetts",
	"MI" => "Michigan",
	"MN" => "Minnesota",
	"MS" => "Mississippi",
	"MO" => "Missouri",
	"MT" => "Montana",
	"NE" => "Nebraska",
	"NV" => "Nevada",
	"NH" => "New Hampshire",
	"NJ" => "New Jersey",
	"NM" => "New Mexico",
	"NY" => "New York",
	"NC" => "North Carolina",
	"ND" => "North Dakota",
	"OH" => "Ohio",
	"OK" => "Oklahoma",
	"OR" => "Oregon",
	"PA" => "Pennsylvania",
	//"PR" => "Puerto Rico",	// from $COUNTRIES
	"RI" => "Rhode Island",
	"SC" => "South Carolina",
	"SD" => "South Dakota",
	"TN" => "Tenessee",
	"TX" => "Texas",
	"UT" => "Utah",
	"VT" => "Vermont",
	//"VI" => "Virgin Islands",	// from $COUNTRIES
	"VA" => "Virginia",
	"WA" => "Washington",
	"WV" => "West Virginia",
	"WI" => "Wisconsin",
	"WY" => "Wyoming"
);

$STATES_CA = array(
	"AB" => "Alberta",
	"BC" => "British Columbia",
	"MB" => "Manitoba",
	"NB" => "New Brunswick",
	"NF" => "Newfoundland and Labrador",
	"NWT" => "Northwest Territories",
	"NS" => "Nova Scotia",
	"NU" => "Nunavut",
	"ON" => "Ontario",
	"PE" => "Prince Edward Island",
	"PQ" => "Quebec",
	"SK" => "Saskatchewan",
	"YT" => "Yukon"
);

//$STATES = array_merge($STATES_US, $STATES_CA);
$STATES = $STATES_US;

define('ICON_PHOTO', 'images/img.jpg');
define('ICON_VIDEO', 'images/img.jpg');

define('USER_PERMISSION_CUSTOMERS',			0x1);
define('USER_PERMISSION_CONTENT',			0x2);
define('USER_PERMISSION_STATISTICS',		0x4);
define('USER_PERMISSION_MESSAGING',			0x8);
define('USER_PERMISSION_TRANSACTIONS',		0x10);
define('USER_PERMISSION_REPORTS',			0x20);
define('USER_PERMISSION_DONATIONS',         0x80);
define('USER_PERMISSION_PROGRAMS',          0x40);

define('PROFILE_UPDATE_PERIOD', 7); // days

define('SERVER_SPACE_MAX_USER_LIMIT', 50);
?>