<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require("includes/application_top.php");

if (Session::isCurrentSessionLoggedIn())
{
	$template->hideBlock('login_form');
	$template->touchBlock('logged_id');
	cmn_redirect('member.php');
}
else if (!isset($_SESSION['MESSAGES']))
{
	//cmn_redirect('main.html');
}

if (isset($_SESSION['MESSAGES']))
{
	foreach ($_SESSION['MESSAGES'] as $errorBlock)
	{
		$template->touchBlock($errorBlock);
	}
}

$ref = (isset($_SERVER['HTTP_REFERER'])) ? $_SERVER['HTTP_REFERER'] : '';
if (strstr($ref, 'networx-socialdemo'))
{
    $template->setGlobalVariable('Username', 'test@socialabc.com');
    $template->setGlobalVariable('Password', 'test');
}

$template->touchBlock('login_form');

unset($_SESSION['MESSAGES']);

//$template->setGlobalVariable('FORUM_SID', $_SESSION['FORUM_SID']);

ApplicationContext::save();

require("includes/application_bottom.php");