<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

require_once('includes/application_top.php');
$template->loadTemplateFile('messages_address_book.html');
if ($user->isAuthorised())
{
	require_once "./js/lib/JsHttpRequest/JsHttpRequest.php";
	// Init JsHttpRequest and specify the encoding.
	$JsHttpRequest =& new JsHttpRequest("windows-1251");

	
	// Fetch request parameters.
	$name_constraint = $_REQUEST['search_str'];

	if ($_GET['messaging_type'])
	{
		$messaging_type = ucfirst($_GET['messaging_type']);
	}
	else
	{
		$messaging_type = $_REQUEST['messaging_type'];
	}
	$template->setGlobalVariable('messaging_type', $messaging_type);

	$connections = array();

	if ($messaging_type == 'Sms' || $messaging_type == 'Email')
	{
		$messaging_type = 'User';
	}
	
    switch ($messaging_type)
    {
        case 'User':
            $connections = $user->getConnectedUsers($name_constraint);
            break;
            
        case 'Group':
            $connections = $user->getConnectedGroups($name_constraint);
            break;

        case 'Organization':
            $connections = $user->getConnectedOrganizations($name_constraint);
            break;

        case 'Community':
            $connections = $user->getConnectedCommunities($name_constraint);
            break;

    }


	// Create the resulting array.
	$GLOBALS['_RESULT'] = array("arr" => $connections);
}


require_once('includes/application_bottom.php');