<?php
/*
NetworX - open-source social networks platform
Copyright (C) 2009 SocialABC, Inc. http://www.socialabc.com
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program in a file called LICENSE; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/ 

/* Note: This thumbnail creation script requires the GD PHP Extension.
	If GD is not installed correctly PHP does not render this page correctly
	and SWFUpload will get "stuck" never calling uploadSuccess or uploadError
 */

// Get the session Id passed from SWFUpload. We have to do this to work-around the Flash Player Cookie Bug

if (isset($_POST["PHPSESSID"])) 
{
    session_id($_POST["PHPSESSID"]);
}

session_start();

include('includes/application_top.php');

function get_image_variable($filename) 
{
    if(file_exists(PATH_IMAGES.$filename))
    {
        $img=file_get_contents(PATH_IMAGES.$filename);
    } 
    else 
    {
        $img="";
    }
    return $img;
}

// Check the upload
if (!isset($_FILES["Filedata"]) || !is_uploaded_file($_FILES["Filedata"]["tmp_name"]) || $_FILES["Filedata"]["error"] != 0)
{
	header("HTTP/1.1 500 Internal Server Error");
	echo "invalid upload";
	exit(0);
}

$img = null;


$file_size_mb = $_FILES['Filedata']['size'] / 1024 / 1024;	// convert file size to MBytes
if ( (strtolower($_GET['entity']) == 'user') && (ServerSpace::getUserFreeSpace($_GET['id']) < $file_size_mb) )
{
    $imagevariable = get_image_variable('notenoughspace.jpg');

    if (!$imagevariable)
    {
        header("HTTP/1.1 501 Internal Server Error");
	echo "Not enough space for uploading";
	exit(0);
    }

    if (!isset($_SESSION["file_info"])) 
    {
	$_SESSION["file_info"] = array();
    }

    $file_id = md5($_FILES["Filedata"]["tmp_name"] + rand()*100000);
    $_SESSION["file_info"][$file_id] = $imagevariable;

    echo 'FILEID:' . $file_id;	// Return the file id to the script
    exit();
}

$path_parts = pathinfo($_FILES['Filedata']['name']);

$ext = $path_parts['extension'];
// check for valid file extestension
if (!$FILE_DOWNLOAD_ALLOWED_EXT[$ext])
{
    
    $imagevariable = get_image_variable('notallowedtype.jpg');

    if (!$imagevariable)
    {
        header("HTTP/1.1 502 Internal Server Error");
        echo "unsupported file format";
        exit(0);
    }
    
    if (!isset($_SESSION["file_info"])) 
    {
	$_SESSION["file_info"] = array();
    }

    $file_id = md5($_FILES["Filedata"]["tmp_name"] + rand()*100000);
    $_SESSION["file_info"][$file_id] = $imagevariable;

    echo 'FILEID:' . $file_id;	// Return the file id to the script
    exit(0);

}

$uploaddir = PATH_DOWNLOAD_FILES . $_GET['entity'] . '/' . $_GET['id'] . '/';
$uploaddir = './tmp/files/' . strtolower($_GET['entity']) . '/' . $_GET['id'] . '/';
cmn_create_path($uploaddir, false);


$shared_file = new SharedFile(-1);
$shared_file->{ucfirst($_GET['entity']) . 'ID'} = $id;
$shared_file->FileName = basename($_FILES['Filedata']['name'], '.' . $path_parts['extension']);
$shared_file->FilePath = $uploaddir;
$shared_file->FileMIMEType = $path_parts['extension'];
$shared_file->saveToDB();

//move_uploaded_file($_FILES['Filedata']['tmp_name'], $uploaddir . $shared_file->SharedFileID);
move_uploaded_file($_FILES['Filedata']['tmp_name'], $uploaddir . $_FILES['Filedata']['name']);
chmod($uploaddir . $_FILES['Filedata']['name'], 0664);
$shared_file->delete();

if (strtolower($_GET['entity']) == 'user')
{
	ServerSpace::addUsedSpaceByUser($_GET['id'], $file_size_mb);
}

if (!isset($_SESSION["file_info"])) {
	$_SESSION["file_info"] = array();
}

$file_id = md5($_FILES["Filedata"]["tmp_name"] + rand()*100000);

echo 'FILEID:' . $file_id;	// Return the file id to the script
exit();